@import "fontSizes";
@import "colors";
@import "global";
@import "shop";

* {
    margin: 0;
    padding: 0;
    font-family: 'Cardo', serif;
}

.header-top {
    padding: 20px 55px;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    transition: .5s;
    z-index: 999;

    &.header-scrolled {
        background: $darkBlueOpct;
        box-shadow: 1px 1px 10px $darkYellow;
    }
    @media all and (max-width: 992px){
        padding: 10px 35px;
    }
    @media all and (max-width: 768px){
        padding: 5px 0;
    }
    .logo {
        display: block;
        img {
            width: 150px;
            transition: .5s;
            @media all and(max-width: 576px){
                width: 120px;
            }
        }
        &.logo-scrolled{
            img{
                transform: scale(1.05)
            }
        }
        
    }
    .mobile-menu-btn{
        background: transparent;
        border: 0;
        margin: 0 0 0 auto;
        display: none;
        span{
            display: block;
            width: 40px;
            height: 5px;
            background: $light;
            margin: 5px 0 5px auto;
            transition: .4s;
        }
        &:focus{
            outline: none
        }
       @media all and (max-width: 768px){
            display: block;
       }
    }
    nav {
        width: 100%;

        .menu {
            list-style: none;
            text-align: right;
            margin-bottom: 0;
            li {
                display: inline-block;

                a {
                    padding: 0 15px;
                    color: $light;
                    font-size: $standard;
                    transition: .3s;

                    &:hover {
                        text-decoration: underline;
                        text-decoration-color: $pink;
                    }
                    @media all and (max-width: 1199px){
                        padding: 0 5px;
                        font-size: $lgStandard;
                    }
                    @media all and (max-width: 992px){
                        font-size: $mdStandard;
                    }
                    @media all and (max-width: 768px){
                        display: block;
                        margin: 5px 0;
                        font-size: $lgStandard;
                    }
                }

                &:last-child {
                    a {
                        @extend .default-button;
                    }
                }
            }

        }
        @media all and (max-width: 768px){
            opacity: 0;
            visibility: hidden;
            position: fixed;
            top: 72.14px;
            bottom: 0;
            left: -100%;
            margin: 0 auto;
            background: $darkBlueOpct;
            display: flex;
            align-items: center;
            justify-content: center;
            z-index: 99;
            transition: .5s;
            .menu{
                text-align: center;
                li{
                    display: block;
                }
            }
        }
    }
    &.active{
        background: $darkBlueOpct;
        .mobile-menu-btn{
            span:first-of-type{
                            width: 30px;
                            background: $pink
                        }
                        span:last-of-type{
                            width: 30px;
                            background: $pink;
                            transition-delay: .2s
                        }
            }
            nav{
                    opacity: 1;
                    visibility: visible;
                    left: 0;
            }
    }
}

.under-header {
    background: url('../../assets/images/main-background.png') no-repeat;
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    min-height: 600px;

    .gradient {
        height: 100%;
        padding-top: 120px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        background: linear-gradient(to bottom, rgba(125, 185, 232, 0) 0%, rgba(26, 55, 74, 1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#007db9e8', endColorstr='#1a374a', GradientType=0);

        img {
            width: 400px;
            @media all and (max-width: 576px){
                width: 265px;
            }
        }

        a {
            margin-top: 15px;
        }
    }
}

.opinion {
    background: $darkBlue;
    padding: 75px 0;

    .single-opinion {
        color: $light;
        font-size: $text;
        text-align: justify;
        line-height: 22px;
        @media all and (max-width: 576px) {
            font-size: $mdButtonStandard;
        }
    }

    .bones-container {
        display: flex;
        justify-content: center;

        .bones {
            width: 100%;
            height: 100%;

            &.left {
                background: url('../../assets/images/bones-left.png') no-repeat;
                background-size: 100%;
            }

            &.right {
                background: url('../../assets/images/bones-right.png') no-repeat;
                background-size: 100%;
            }
        }
    }

    .button-container {
        text-align: center;

        a {
            white-space: nowrap
        }
    }
}

// victoria queen
.vitoria-queen{
    background: url('../../assets/images/vitoria-queen.png') $burgundy no-repeat;
    background-position: 100% 100%;
    background-size: contain;
    p{
        margin-bottom: 0;
        color: $light;
        text-align: center;
        line-height: 34px;
        &:first-child(){
            font-size: $headerSectionBar;
        }
        &:last-child(){
            margin-top: 80px;
            font-size: $standard;
        }
        @media all and (max-width: 992px){
            line-height: 26px;
            &:first-child(){
                font-size: $lgHeaderSectionBar;
    }
            &:last-child(){
            margin-top: 40px;
            font-size: $lgStandard;
            }
        }
        @media all and (max-width: 768px){
            line-height: 24px;
            &:first-child(){
        font-size: $lgHeaderSectionBar;
            }
            &:last-child(){
            margin-top: 20px;
            font-size: $mdStandard;
            }
        }
    }
}
// stopka
.footer {
    background: url('../../assets/images/main-background.png') no-repeat;
    background-size: cover;
    color: $light;
    text-align: center;

    .gradient {
        background: linear-gradient(to top, rgba(125, 185, 232, 0) 0%, rgba(26, 55, 74, 1) 100%);
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#007db9e8', endColorstr='#1a374a', GradientType=0);
    }

    .up-text {
        padding: 20px 0;
        margin: 0;
        font-size: $headerSectionBar;

        a {
            color: inherit;
        }

        @media all and (max-width: 576px){
            font-size: $mdButtonStandard;
        }
    }

    .socials {
        display: flex;
        justify-content: center;

        .social {
            display: block;
            background: url(../images/social-bg.png) no-repeat;
            background-size: 100% 100%;
            padding: 45px 40px;
            margin: 0 10px;
            color: $light;
            @media all and (max-width: 576px){
                padding: 30px 25px 23px;
            }
            i {
                font-size: $headerSectionBar;
                transition: .5s;
            }

            &:hover {
                color: inherit;
                text-decoration: none;

                i {
                    transform: scale(1.1);
                    opacity: 0.95;
                }
            }
        }
    }

    .down-text {
        font-size: $text;
        margin: 0;
        padding: 20px 0;

        a {
            color: inherit;
            text-decoration: underline
        }
    }
}